Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001811TestLinkKeywordspublic2008-10-21 15:082009-02-13 18:59
Reporterrobertp 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformvista business/mysqlOSVistaOS Versionsp1, business
Product Version1.7.4 
Fixed in Version1.7.5 
Summary0001811: error while uploading keywords in CSV format
DescriptionCreate a csv file with keywords in the keyword;text format.
upload via keyword upload functionality and you gets the following error.

Notice: Undefined variable: pcheck_fn in C:\inetpub\wwwroot\testlink\lib\keywords\keywordsimport.php on line 65

Warning: Cannot modify header information - headers already sent by (output started at C:\inetpub\wwwroot\testlink\lib\keywords\keywordsimport.php:65) in C:\inetpub\wwwroot\testlink\lib\keywords\keywordsimport.php on line 73


After the error is thrown, the keywords ARE uploaded successfylly.
Steps To ReproduceCreate a csv file with keywords in the keyword;text format.
upload via keyword upload functionality and you gets the following error.

Notice: Undefined variable: pcheck_fn in C:\inetpub\wwwroot\testlink\lib\keywords\keywordsimport.php on line 65

Warning: Cannot modify header information - headers already sent by (output started at C:\inetpub\wwwroot\testlink\lib\keywords\keywordsimport.php:65) in C:\inetpub\wwwroot\testlink\lib\keywords\keywordsimport.php on line 73


After the error is thrown, the keywords ARE uploaded successfylly.

Additional InformationSeems like some initinalization problem in the code
                {
                    case 'CSV':
                        $pfn = "importKeywordDataFromCSV";
                        break;
                    case 'XML':
                        $pcheck_fn = "check_xml_keywords";
                        $pfn = "importKeywordDataFromXML";
                        break;
                }

in file "C:\inetpub\wwwroot\testlink\lib\keywords\keywordsimport.php"

Under the case csv section, the variable is not initialized.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFF 3.0
PHP Version5.1
TestCaseID
QA Team - Task Workflow Status
Attached Filescsv file icon keywords.csv [^] (96 bytes) 2008-10-21 15:11

- Relationships

-  Notes
(0004434)
fman (administrator)
2008-10-23 15:37

ok, thanks we will fix
(0004441)
fman (administrator)
2008-10-23 21:47

tested with
http://testlink.org/cvs_tarballs/index.php?dir=1_7_branch/&file=SNAPSHOT-branch_testlink_1_7-2008-10-23.tar.bz2 [^]

with file you have attached without problems

please use code downloaded for link above, retest and give us feedback
(0004448)
robertp (reporter)
2008-10-24 15:46

Downloaded the package from the mentioned link, and the keywords file as mentioned in the bug.

The error can STILL be reproduced; following the same steps.

Did a quick diff on the keywordsimport.php file, dont see any changes though!!
may be the fix is somewhere else.


Notice: Undefined variable: pcheck_fn in C:\inetpub\wwwroot\testlink\lib\keywords\keywordsimport.php on line 65

Warning: Cannot modify header information - headers already sent by (output started at C:\inetpub\wwwroot\testlink\lib\keywords\keywordsimport.php:65) in C:\inetpub\wwwroot\testlink\lib\keywords\keywordsimport.php on line 73
(0004462)
fman (administrator)
2008-10-29 00:27

please get last code from CVS directly using anonymous check out and retest please

- Issue History
Date Modified Username Field Change
2008-10-21 15:08 robertp New Issue
2008-10-21 15:08 robertp Browser => FF 3.0
2008-10-21 15:08 robertp PHP Version => 5.1
2008-10-21 15:11 robertp File Added: keywords.csv
2008-10-23 15:37 fman Note Added: 0004434
2008-10-23 21:47 fman Note Added: 0004441
2008-10-23 21:48 fman Status new => assigned
2008-10-23 21:48 fman Assigned To => fman
2008-10-23 21:49 fman Status assigned => feedback
2008-10-24 15:46 robertp Note Added: 0004448
2008-10-29 00:27 fman Note Added: 0004462
2008-10-30 23:40 fman Status feedback => resolved
2008-10-30 23:40 fman Fixed in Version => next hot-fix (1.7.5)
2008-10-30 23:40 fman Resolution open => fixed
2009-02-13 18:59 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker